Bug 431857 - Review Request: pakchois - PKCS#11 wrapper library
Summary: Review Request: pakchois - PKCS#11 wrapper library
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Schwendt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-02-07 14:03 UTC by Joe Orton
Modified: 2008-02-26 20:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 20:24:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bugs.michael: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Joe Orton 2008-02-07 14:03:21 UTC
Spec URL: http://jorton.fedorapeople.org/pakchois/pakchois.spec
SRPM URL: http://jorton.fedorapeople.org/pakchois/pakchois-0.1-1.src.rpm
Description: 
pakchois is just another PKCS#11 wrapper library. pakchois aims to
provide a thin wrapper over the PKCS#11 interface; offering a
modern object-oriented C interface which does not hide any of the
underlying interface, and avoids dependencies on any cryptography
toolkit.

This library will be used by the next version of neon to provide smartcard support.

Comment 1 Joe Orton 2008-02-07 15:53:59 UTC
To be clear: once this passes review (hoping it does, given that its simplicity
:), I won't build the package into the distribution until the new version of
neon is going in, since it's not used by anything else.

Comment 2 Joe Orton 2008-02-14 16:22:11 UTC
Spec URL: http://jorton.fedorapeople.org/pakchois/pakchois.spec
SRPM URL: http://jorton.fedorapeople.org/pakchois/pakchois-0.3-1.src.rpm

This is update for upstream release 0.3.  I'd like to get this into F9 -- any
willing reviewer?  It's a pretty simple package.

Comment 3 Joe Orton 2008-02-21 15:50:37 UTC
Spec URL: http://jorton.fedorapeople.org/pakchois/pakchois.spec
SRPM URL: http://jorton.fedorapeople.org/pakchois/pakchois-0.4-1.src.rpm

Update again for 0.4.  Ping?

Comment 4 Michael Schwendt 2008-02-26 06:43:22 UTC
The package meets the guidelines: APPROVED

? /usr/lib/pkcs11 is not provided by anything in rawhide yet, though.


Comment 5 Joe Orton 2008-02-26 08:09:58 UTC
New Package CVS Request
=======================
Package Name: pakchois
Short Description: PKCS#11 wrapper library
Owners: jorton
Branches: 
InitialCC: 
Cvsextras Commits: yes


Comment 6 Kevin Fenzi 2008-02-26 18:10:00 UTC
cvs done.

Comment 7 Joe Orton 2008-02-26 20:24:35 UTC
Many thanks for taking care of this, Michael and Kevin!


Note You need to log in before you can comment on or make changes to this bug.